## tess 0.1.2.r3

=== doc/tm/Makefile ===
# -*- sh -*-
#
# To create the SGML files, you will need to install the tm-utils
# package.  See http://www.jedsoft.org/ for more information.

TMDIST   = /nfs/aluche/d1/web/tm-dist
TM2SGML  = $(TMDIST)/bin/tmexpand
DB2MAN   = docbook2man
MACRODIR = $(TMDIST)/macros

STEM       = tess
TXT_FILES  = $(STEM).txt tessfun.txt
SGML_FILES = $(STEM).sgml tessrun.sgml
HTML_FILES = $(STEM).html
TEX_FILES  = $(STEM).tex
PS_FILES   = $(STEM).ps
PDF_FILES  = $(STEM).pdf
MAN_PAGES  = tessrun.1

SGML2LATEX = sgml2latex -p letter -o tex
SGML2HTML = sgml2html
SGML2TXT = sgml2txt -f
LATEX = latex
PDFLATEX = pdflatex

DOC_IMAGES = 
TEXTDIR = ../text
PSDIR = ../ps
HTMLDIR = ../html
SGMLDIR = ../sgml
PDFDIR = ../pdf
MANDIR = ../man
SL2TM = sl2tm
TM2TXT = tm2txt

SRC    = ../..

SUBDIRS = $(TEXTDIR) $(HTMLDIR) $(PSDIR) $(SGMLDIR) $(PDFDIR) $(MANDIR)
SRCDIR = `pwd`

.PHONY:  all install uninstall clean distclean texclean
.SUFFIXES: .sgml .tm

.tm.sgml:
	$(TM2SGML) -I$(MACRODIR) $? $*.sgml

all: $(SGML_FILES) $(HTML_FILES) $(TEX_FILES) $(TXT_FILES) $(PDF_FILES) \
	$(MAN_PAGES)

#----- SGML Files -----------------------------------------------------------
$(STEM).sgml : $(STEM).tm preface.tm tessfun.tm
	$(TM2SGML) -I$(MACRODIR) $(STEM).tm $(STEM).sgml

#----- HTML Files -----------------------------------------------------------
$(STEM).html : $(STEM).sgml
	$(SGML2HTML) $(STEM).sgml

#----- TeX Files ------------------------------------------------------------

$(STEM).tex : $(STEM).sgml
	$(SGML2LATEX) $(STEM).sgml
	jed -script ./fixtex.sl $(STEM).tex 

#----- PDF Files -----------------------------------------------------------

$(STEM).pdf : $(STEM).tex
	$(PDFLATEX) $(STEM).tex
	$(PDFLATEX) $(STEM).tex
	$(MAKE) texclean

#----- PS Files -----------------------------------------------------------

$(STEM).ps : $(STEM).pdf
	pdftops $? $@

#----- Text Files -----------------------------------------------------------

$(STEM).txt: $(STEM).sgml
	$(SGML2TXT) $(STEM).sgml

tessfun.txt: tessfun.tm
	$(TM2TXT) $? > $@

SL_SCRIPTS = $(SRC)/tess.sl

tessfun.tm: $(SL_SCRIPTS)
	$(SL2TM) -sl $(SL_SCRIPTS) > $@

tessrun.1: tessrun.sgml
	$(DB2MAN) $?
	@echo Checking if end-user man page is up-to-date
	diff $@ ../../man/man1/$@

#----------------------------------------------------------------------------

texclean:
	-rm -f *.dvi *.log *.aux *.toc *.out

clean: texclean
	-rm -f *~ *.tmp *.sgml-error tessfun.* tessrun.sgml \
	   manpage.refs manpage.links

distclean: clean
	-rm -f *.html *.ps $(STEM).tm $(TXT_FILES) $(TEX_FILES) \
			$(SGML_FILES) $(PDF_FILES) $(MAN_PAGES)

install-txt-files: $(TXT_FILES)
	-mv $(TXT_FILES) ../text

install: all $(PS_FILES)
	-mkdir -p $(SUBDIRS)
	-mv $(TXT_FILES) $(TEXTDIR)
	-mv *.html $(HTMLDIR)
	-mv $(PS_FILES) $(PSDIR)
	-mv $(SGML_FILES) $(SGMLDIR)
	-mv $(PDF_FILES) $(PDFDIR)
	-mv $(MAN_PAGES) $(MANDIR)

uninstall:
	if [ ! -z "$(SUBDIRS)" ] ; then \
	  \rm -rf $(SUBDIRS) ; \
	fi

## tess 0.3.0

=== examples/Makefile ===

SHELL = /bin/sh

# Issue make -e VERBOSE=-v for verbose output
test:
	../tessrun -l $(VERBOSE) > test.out
	diff test.ref test.out

clean:
	-$(RM) -f *~ \#* *.o test.out

=== doc/tm/Makefile ===
--- 
+++ 
@@ -9,13 +9,17 @@
 MACRODIR = $(TMDIST)/macros
 
 STEM       = tess
-TXT_FILES  = $(STEM).txt tessfun.txt
+TXT_FILES  = $(STEM).txt
 SGML_FILES = $(STEM).sgml tessrun.sgml
 HTML_FILES = $(STEM).html
+HELP_FILES = tess.hlp
 TEX_FILES  = $(STEM).tex
 PS_FILES   = $(STEM).ps
 PDF_FILES  = $(STEM).pdf
 MAN_PAGES  = tessrun.1
+
+GENERATED_FILES=$(SGML_FILES) $(HTML_FILES) $(TEX_FILES) $(TXT_FILES) \
+	$(PS_FILES) $(PDF_FILES) $(HELP_FILES) $(MAN_PAGES) tessfun.tm
 
 SGML2LATEX = sgml2latex -p letter -o tex
 SGML2HTML = sgml2html
@@ -44,8 +48,7 @@
 .tm.sgml:
 	$(TM2SGML) -I$(MACRODIR) $? $*.sgml
 
-all: $(SGML_FILES) $(HTML_FILES) $(TEX_FILES) $(TXT_FILES) $(PDF_FILES) \
-	$(MAN_PAGES)
+all: $(GENERATED_FILES) $(MAN_PAGES)
 
 #----- SGML Files -----------------------------------------------------------
 $(STEM).sgml : $(STEM).tm preface.tm tessfun.tm
@@ -75,21 +78,22 @@
 
 #----- Text Files -----------------------------------------------------------
 
+SL_SCRIPTS = $(SRC)/tess.sl
+
 $(STEM).txt: $(STEM).sgml
 	$(SGML2TXT) $(STEM).sgml
 
-tessfun.txt: tessfun.tm
-	$(TM2TXT) $? > $@
-
-SL_SCRIPTS = $(SRC)/tess.sl
-
 tessfun.tm: $(SL_SCRIPTS)
 	$(SL2TM) -sl $(SL_SCRIPTS) > $@
+	./mungefuns $@
+
+tess.hlp: $(SL_SCRIPTS)
+	$(SL2TM) -sl $(SL_SCRIPTS) > tesshelp.tmp
+	$(TM2TXT) tesshelp.tmp > $@
 
 tessrun.1: tessrun.sgml
 	$(DB2MAN) $?
-	@echo Checking if end-user man page is up-to-date
-	diff $@ ../../man/man1/$@
+	@echo Check that end-user man page is up-to-date
 
 #----------------------------------------------------------------------------
 
@@ -97,12 +101,11 @@
 	-rm -f *.dvi *.log *.aux *.toc *.out
 
 clean: texclean
-	-rm -f *~ *.tmp *.sgml-error tessfun.* tessrun.sgml \
-	   manpage.refs manpage.links
+	-rm -f *~ *.tmp *.sgml-error $(GENERATED_FILES) *.html \
+	   			manpage.refs manpage.links
 
 distclean: clean
-	-rm -f *.html *.ps $(STEM).tm $(TXT_FILES) $(TEX_FILES) \
-			$(SGML_FILES) $(PDF_FILES) $(MAN_PAGES)
+	-rm -f *.html *.ps $(STEM).tm 
 
 install-txt-files: $(TXT_FILES)
 	-mv $(TXT_FILES) ../text
@@ -110,6 +113,7 @@
 install: all $(PS_FILES)
 	-mkdir -p $(SUBDIRS)
 	-mv $(TXT_FILES) $(TEXTDIR)
+	-cp -f tess.hlp $(TEXTDIR)
 	-mv *.html $(HTMLDIR)
 	-mv $(PS_FILES) $(PSDIR)
 	-mv $(SGML_FILES) $(SGMLDIR)

=== debian/changelog ===
tess (0.3.0-13) unstable; urgency=medium

  * Upload to unstable
  * d/control: Drop “Rules-Requires-Root: no”, which is now the default

 -- Rafael Laboissière <rafael@debian.org>  Sat, 06 Sep 2025 13:06:12 -0300

tess (0.3.0-12) experimental; urgency=medium

  * d/p/make-shuffle.patch: New patch (Closes: #1105633)
  * d/rules: Drop unnecessary --no-parallel option
  * d/control: Bump Standards-Version to 4.7.2 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Sat, 17 May 2025 19:00:55 -0300

tess (0.3.0-11) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends-Indep: Drop versioned constraint on libslang2-dev.
    + slang-tess: Drop versioned constraint on slsh in Suggests.

  [ Rafael Laboissière ]
  * d/copyright: Update Copyright years for debian/* files

 -- Rafael Laboissière <rafael@debian.org>  Mon, 05 Dec 2022 13:06:30 -0300

tess (0.3.0-10) unstable; urgency=medium

  * Adopt package (Closes: #748268)
  * d/control: Add Multi-Arch: foreign

 -- Rafael Laboissière <rafael@debian.org>  Thu, 02 Dec 2021 12:50:24 -0300

tess (0.3.0-9) unstable; urgency=medium

  * QA upload.

  * d/control: Drop versioned constraint on jed and slrn in Suggests
  * Proper running of build-time and autopkgtest unit tests
    + d/p/slsh-path-unit-tests.patch: New patch
    + d/rules: Use the environment variable SLSH_PATH
    + d/t/control: Depends on slsh
    + d/t/run-tests: New script

 -- Rafael Laboissière <rafael@debian.org>  Thu, 07 Oct 2021 09:18:36 -0300

tess (0.3.0-8) unstable; urgency=medium

  * QA upload.

  * Create Git repository at Salsa.debian.org.
    The Git repository was created with "gbp import-dscs --debsnap",
    instead of doing archeological work in the Alioth archives. The
    layout of the repository follows the recommendation in DEP-14.
  * d/s/format: Use source format 3.0 (quilt)
  * Bump debhelper compatibility level to 13
    + d/control: Set dependency on debhelper-compat = 13
    + d/compat: Drop file
  * d/control:
    + Bump Standards-Version to 4.6.0 (no changes needed)
    + Add Rules-Requires-Root: no
  * Switch from CDBS to debhelper
    + d/control: Drop the build-dependencies on cdbs and quilt
    + d/rules: Use the dh sequencer
  * d/copyright: Convert to DEP-5 format
  * Activate dh_autoreconf
    + d/rules: Move the generated autoconf/configure to the top directory
    + d/autoreconf: New file
    + d/p/update-configure.patch: New patch
    + d/source/options: Ignore the configure file
    + d/clean: Remove leftover directory admin/admin/
  * d/t/control: Add autopkgtest support
  * d/watch: Bump version to 4 (no changes)
  * d/s/lintian-overrides: Override "non secure URI" warning

 -- Rafael Laboissière <rafael@debian.org>  Mon, 27 Sep 2021 15:57:28 -0300

tess (0.3.0-7.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Fri, 08 Jan 2021 14:58:26 +0100

tess (0.3.0-7) unstable; urgency=medium

  * QA (group) upload
  * d/control:
    + Remove myself from the Uploaders list
    + Set Maintainer to Debian QA Group (orhpaned package)

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 16 Jul 2016 16:52:25 -0300

tess (0.3.0-6) unstable; urgency=low

  * debian/control:
    + Bump Standards-Version to 3.8.1 (add debian/README.source file telling
      that quilt is used to obtain the upstream sources patched for Debian)
    + The package is now maintained with Git at alioth.debian.org.  Add
      Vcs-Git field and change Vcs-Browser accordingly.
    + Fix Lintian warning debhelper-but-no-misc-depends
    + Bump build dependency on debhelper to >= 7
  * debian/compat: Set compatibility level of debhelper to 7
  * debian/patches/dest-sl-files-install-dir.patch: Add description (fix
    Lintian warning)
  * debian/watch: Add file for uscan

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 26 Apr 2009 13:25:05 +0200

tess (0.3.0-5) unstable; urgency=low

  * Switch from CDBS' simple-patchsys to quilt
  * debian/control: Moved libslang2-dev and slsh into Build-Depends-Indep

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 17 Mar 2008 16:36:36 +0100

tess (0.3.0-4) unstable; urgency=low

  * debian/control: Changed architecture of slang-tess package to "all"
    instead of "any", since this is actually an architecture-independent
    package.  Thanks to Raphael Geissert and his script for spotting this.

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 08 Jan 2008 09:00:21 +0100

tess (0.3.0-3) unstable; urgency=low

  * debian/control:
    + Added Vcs-Svn, Vcs-Browser, and Homepage fields
    + Dropped the Homepage pseudo-header from the extended description
    + Bumped Standards-Version to 3.7.3

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 15 Dec 2007 22:36:52 +0100

tess (0.3.0-2) unstable; urgency=low

  * debian/patches/dest-sl-files-install-dir.patch: Instead of using the
    hack in debian/rules introduced in the last version, use a patch to
    admin/Makefile.in.  That way, if/when the upstream author fixes the
    problem, I will notice that my changes must be reverted.

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 28 Mar 2007 02:02:25 +0200

tess (0.3.0-1) unstable; urgency=low

  * New upstream release.  The value of the DEB_MAKE_INSTALL_TARGET
    variable in debian/rules is adjusted, in order to fix a bug in the
    upstream admin/Makefile.in file.

  * debian/control:
    + Added space before pseudo-header Homepage, complying with the Debian
      Best Packaging Practices.
    + Added XS-Vcs-Svn and XS-Vcs-Browser

  * debian/rules: Dropped useless Depends fields

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 28 Mar 2007 00:57:42 +0200

tess (0.1.2.r3-3) unstable; urgency=low

   +++ Changes by Rafael Laboissiere

  * debian/control:
    - Added slsh to build-depends, such that the package will build


=== debian/control ===
Source: tess
Section: interpreters
Priority: optional
Maintainer: Rafael Laboissière <rafael@debian.org>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: libslang2-dev, slsh
Standards-Version: 4.7.2
Homepage: http://space.mit.edu/cxc/software/slang/modules/tess/
Vcs-Git: https://salsa.debian.org/debian/tess.git
Vcs-Browser: https://salsa.debian.org/debian/tess

Package: slang-tess
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: slsh | jed | slrn
Description: regression testing system for the S-Lang scripting language
 TESS is the (Te)st (S)ystem for (S)-Lang, which aims at reducing the
 workload and ad-hoc nature of regression testing S-Lang software, by
 collecting common testing elements into a single, easy-to-use
 framework.
 .
 TESS provides the S-Lang developer nominal mechanisms for tailoring
 the S-Lang environment and invoking functions with arbitrary inputs,
 while transparently inspecting and cleaning the stack, gathering
 pass/fail statistics, and providing error recovery from selected
 exceptions.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

execute_after_dh_autoreconf:
	mv admin/configure .

override_dh_auto_build:
	dh_auto_build -- RPATH=

override_dh_auto_install:
	dh_auto_install -- datarootdir=share

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	SLSH_PATH=.:.. $(MAKE) -C examples VERBOSE=-v && echo "Test ok"
endif

execute_after_dh_installdeb:
	find debian/slang-tess -name test.out -exec rm -f \{} \;

=== debian/tests/control ===
Tests: run-tests
Depends: @, slsh
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=pasv ftp://space.mit.edu/pub/mnoble/tess/ tess-(.*).tar.gz
